#
# spec file for package libzbc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libzbc
%define lname   libzbc2
Version:        2.0.0~git65
Release:        6.1
Summary:        Library for manipulating ZBC and ZAC disks
License:        BSD-2-Clause and LGPL-3.0+
Group:          Hardware
Url:            http://github.com/hgst/libzbc

#Git-Clone:	git://github.com/hgst/libzbc
#Snapshot:	548f6455340b304c0e7060681444d11efa16f3d8
Source:         %name-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libtool >= 2
BuildRequires:  pkg-config
BuildRequires:  xz
BuildRequires:  pkgconfig(gtk+-3.0)

%description
libzbc is a simple library providing functions for manipulating Zoned
Block Command (ZBC) and Zoned-device ATA command set (ZAC) disks.
libzbc also has an mode for emulating the behavior of a zoned disk
using a regular file or raw block device.

%package -n %lname
Summary:        Library for manipulating ZBC and ZAC disks
Group:          System/Libraries

%description -n %lname
libzbc is a simple library providing functions for manipulating Zoned
Block Command (ZBC) and Zoned-device ATA command set (ZAC) disks.
libzbc also has an mode for emulating the behavior of a zoned disk
using a regular file or raw block device.

%package devel
Summary:        Development files for libzbc, a ZBC/ZAC disk manipulation library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libzbc is a simple library providing functions for manipulating Zoned
Block Command (ZBC), Zoned-device ATA command set (ZAC) disks.

This subpackage contains the files needed to build against libzbc.

%package gui
Summary:        Graphical frontend for ZBC tools
Group:          Hardware/Other

%description gui
A simple graphical interface showing zone information of a zoned device.
It also displays the write status (write pointer position) of zones
graphically using color coding (red for written space and green for
unwritten space). 

%package tools
Summary:        Command line utilities for ZBC/ZAC disk manipulation
Group:          Hardware/Other

%description tools
libzbc is a simple library providing functions for manipulating Zoned
Block Command (ZBC), Zoned-device ATA command set (ZAC) disks.

%prep
%setup -qn %name

%build
autoreconf -fi
mkdir obj
pushd obj/
%define _configure ../configure
%configure --disable-static --includedir="%_includedir/%name"
make %{?_smp_mflags}
popd

%install
b="%buildroot";
%make_install -C obj
find "$b/%_libdir" -type f -name "*.la" -delete;

%check
make -C obj check %{?_smp_mflags}

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files tools
%defattr(-,root,root)
%_bindir/zbc_*
%doc COPYING.LESSER

%files gui
%defattr(-,root,root)
%_bindir/gzbc

%files -n %lname
%defattr(-,root,root)
%_libdir/libzbc.so.2*
%doc COPYING

%files devel
%defattr(-,root,root)
%_includedir/%name/
%_libdir/libzbc.so
%_libdir/pkgconfig/libzbc.pc

%changelog
* Mon Jun  8 2015 jengelh@inai.de
- Update to new git snapshot 2.0.0~git65
  * supports the ZBC standard draft Rev 02
  and Rev 01 of the ZAC standard draft
* Mon Mar 16 2015 jengelh@inai.de
- Initial package (version 1.1.0~git68) for build.opensuse.org
